apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  name: fluxcd
  labels:
    app.kubernetes.io/app: fluxcd
spec:
  groups:
    - name: FluxCD
      rules:
        - alert: ReconciliationFailure
          expr: max(gotk_reconcile_condition{status="False",type="Ready"}) by (exported_namespace, name, kind) + on(exported_namespace, name, kind) (max(gotk_reconcile_condition{status="Deleted"}) by (exported_namespace, name, kind)) * 2 == 1
          for: 5m
          labels:
            severity: page
          annotations:
            summary: '{{ $labels.kind }} {{ $labels.exported_namespace }}/{{ $labels.name }} reconciliation has been failing for more than 5 minutes.'
